QGIS Application - Bug report #18147

[Processing Modeler] Clicking algorithm Help button from within Processing modeler fails to find the
right page

2018-02-19 02:30 PM - Harrissou Santanna

Status: Closed

Priority: Normal

Assignee: Yves Jacolin

Category: Documentation and Help

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed/implemented
Crashes QGIS or corrupls data: Copied to github as #: 26040
Description

Open the Processing modeler dialog

Double-click any algorithm

From the alg dialog, click the Help button: 404 NOT FOUND

The same alg from the Processing toolbox would/should have opened the right documentation page

Giving a look to the constructed URL, there's a missing "#" character after "html" to get the anchor, hence the "unfound" page (ie,
https://docs.qgis.org/testing/en/docs/user _manual/processing algs/qgis/cartography.htmltopological-coloring instead of

https://docs.qgis.org/testing/en/docs/user _manual/processing algs/qgis/cartography.html#topological-coloring).

Associated revisions

Revision 206f22b9 - 2018-02-20 12:03 AM - Nyall Dawson

[processing] Fix algorithm help link in modeler

Fixes #18147

History

#1 - 2018-02-19 11:36 PM - Nyall Dawson

- Status changed from Open to In Progress

#2 - 2018-02-20 12:03 AM - Nyall Dawson
- % Done changed from 0 to 100
- Status changed from In Progress to Closed

Applied in changeset commit:qgis|206f22b9c78bb272f510740850de92b1a9¢c6a867.

#3 - 2018-02-21 05:40 PM - Giovanni Manghi
- Resolution set to fixed/implemented
